QGIS Application - Bug report #53

Large markers are downscaled to the global iconSize in the legend

2006-04-04 07:30 AM - Marco Hugentobler

Status: Closed

Priority: Low

Assignee: Marco Hugentobler
Category: Map Legend

Affected QGIS version:
Operating System: All

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 10112

Description

Large point markers are not displayed in the correct size in the legend. This is because the qt4 QTreeWidget uses Qlcon for the legend
images. QTreeWidget has a member iconSize, which is valid for all items (in contrast to the qt3 ListView which allowed different icon
sizes for different items). A solution could be to keep track of how large the images of all items are and change the global icon size when

items are added / removed.

History

#1 - 2006-04-18 01:57 AM - Marco Hugentobler
- Resolution set to fixed
- Status changed from Open to Closed

The legend does now adapt the global icon size to the largest item pixmap.

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
